# $Revision: 1.7 $, $Date: 2010/07/08 08:25:37 $

%define		module	PalmDB

Summary:	Pure Python library to read/write/modify Palm PDB and PRC format databases
Summary(pl.UTF-8):	Czysto pythonowa biblioteka do odczytu/zapisu/modyfikowania palmowych baz PDB i PRC
Name:		python-%{module}
Version:	1.4.1
Release:	3
License:	GNU
Group:		Development/Languages/Python
Source0:	http://dl.sourceforge.net/pythonpalmdb/%{module}-%{version}.zip
# Source0-md5:	c7414dcef1b5b24e79da97ce883aa44b
URL:		http://id3-py.sourceforge.net/
BuildRequires:	python
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	rpm-pythonprov
BuildRequires:	unzip
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows access to Palm OS(tm) database files on the desktop
in pure Python. It is as simple as possible without (hopefully) being
too simple. As much as possible Python idioms have been used to make
it easier to use and more versatile.

This code is based on code from the Pyrite Project. However the code
has been modified so extensively it's hardly recognizable. But without
the Pyrite code, PalmDB would not be here today.

%description -l pl.UTF-8
Ten moduł umożliwia dostęp do plików baz danych PalmOS(TM) z poziomu
czystego Pythona. Jest tak prosty jak to tylko możliwe nie będąc
(miejmy nadzieję) zbyt prostym. Użyto jak najwięcej pythonowych
idiomów, aby uczynić go łatwiejszym w użyciu i bardziej elastycznym.

Ten kod jest oparty na kodzie z projektu Pyrite. Jednak kod został na
tyle zmieniony, że jest trudno rozpoznawalny. Lecz bez kodu Pyrite
PalmDB nie zaszedłby jeszcze tak daleko.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%{py_sitescriptdir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-PalmDB.spec,v $
Revision 1.7  2010/07/08 08:25:37  arekm
- release 3

Revision 1.6  2010/05/16 14:14:28  sparky
- BR: unzip

Revision 1.5  2008/10/03 17:54:54  arekm
- release 2

Revision 1.4  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.2  2006/03/21 19:34:59  qboosh
- pl

Revision 1.1  2006/03/17 10:05:05  leafnode
- import
